import 'package:flutter/material.dart';

class HomeProvider with ChangeNotifier {
  bool openLikeWallet = false;
  bool openSend = false;
  bool openSendConfirm = false;
  bool openSendReceipt = false;
  bool openReceive = false;
  bool openLockAll = false;
  bool openOTP = false;

  HomeProvider(
      {this.openSend = false,
      this.openReceive = false,
      this.openLockAll = false});

  bool get getLikeWallet {
    return openLikeWallet;
  }

  bool get getSend {
    return openSend;
  }

  bool get getSendConfirm {
    return openSendConfirm;
  }

  bool get getSendReceipt {
    return openSendReceipt;
  }

  bool get getReceive {
    return openReceive;
  }

  bool get getOTP {
    return openOTP;
  }

  bool get getLockAll {
    return openLockAll;
  }

  setMenu({bool status}) {
    openLikeWallet = status;
    notifyListeners();
  }

  setSend({bool status}) {
    openSend = status;
    notifyListeners();
  }

  setSendConfirm({bool status}) {
    openSendConfirm = status;
    notifyListeners();
  }

  setSendReceipt({bool status}) {
    openSendReceipt = status;
    notifyListeners();
  }

  setReceive({bool status}) {
    openReceive = status;
    notifyListeners();
  }

  setLockAll({bool status}) {
    openLockAll = status;
    notifyListeners();
  }

  setOTP({bool status}) {
    openOTP = status;
    notifyListeners();
  }
}
