import 'package:flutter/material.dart';
import 'package:minilikewallet/library/configuration_service.dart';
import 'package:shared_preferences/shared_preferences.dart';

class ReceiveProvider with ChangeNotifier {
  ReceiveProvider();
  IConfigurationService configETH;
  String address = '';

  String get getAddress => address;

  getIAddress() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    configETH = new ConfigurationService(pref);
    address = configETH.getAddress();
    notifyListeners();
  }
}
