import 'dart:async';
import 'package:flutter/cupertino.dart';
import 'package:minilikewallet/provider/home_provider/first_page_provider/first_page_provider.dart';
import 'package:minilikewallet/provider/home_provider/home_provider.dart';
import 'package:minilikewallet/provider/home_provider/index_provider/index_provider.dart';
import 'package:minilikewallet/provider/home_provider/loading_provider/loading_provider.dart';
import 'package:minilikewallet/provider/home_provider/otp_provider/otp_provider.dart';
import 'package:minilikewallet/theme/widget.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:provider/provider.dart';

abstract class CheckAuth {
  Future<bool> checkLogin();
  // actionLogin({String phone, BuildContext context});
}

class CurCheckAuth implements CheckAuth {
  bool login = false;

  @override
  Future<bool> checkLogin() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    login = pref.getBool('login');
    return login;
  }

  // actionLogin({String phone, BuildContext context}) async {
  //   _homeProvider = Provider.of<HomeProvider>(context);
  //   _otpProvider = Provider.of<OTPProvider>(context);
  //   _loadingProvider = Provider.of<LoadingProvider>(context);
  //   _indexProvider = Provider.of<IndexProvider>(context);
  //   _firstPageProvider = Provider.of<FirstPageProvider>(context);
  //
  //   bool login = await _otpProvider.checkLogin();
  //   _firstPageProvider.setStatus(status: true);
  //   _loadingProvider.setStatus(status: true);
  //   if (login) {
  //     _homeProvider.setMenu(status: true);
  //     await _indexProvider.loadBalance();
  //     _loadingProvider.setStatus(status: false);
  //   } else {
  //     _homeProvider.setOTP(status: true);
  //     await _otpProvider.setNumberPhone(phone: phone);
  //     final res = await _otpProvider.checkExistUser(
  //         phoneNumber: _otpProvider.getNumberPhone);
  //     if (res) {
  //       final res = await _otpProvider.sendCodeToPhoneNumber(
  //           phoneNumber: _otpProvider.getNumberPhone);
  //       if (res) {
  //         _loadingProvider.setStatus(status: false);
  //       } else {
  //         _homeProvider.setOTP(status: false);
  //         Navigator.of(context).pop();
  //         WidgetTheme.showShortToastRed('เกิดข้อผิดพลาด');
  //       }
  //     } else {
  //       Navigator.of(context).pop();
  //       WidgetTheme.showShortToastRed('ไม่พบเบอร์ในระบบ');
  //     }
  //   }
  // }
}
