import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:minilikewallet/config/config.dart';
import 'package:http/http.dart' as http;

class CheckTXProvider with ChangeNotifier {
  CheckTXProvider();

  Future<bool> checkStatusTX({String tx}) async {
    try {
      bool status = false;
      final response =
          await http.post(Env.apiUrl + '/checkPending', body: {"tx": tx});
      if (response.statusCode == 200) {
        var body = json.decode(response.body);
        if (body['statusCode'] == 200) {
          print('success send');
          status = true;
        }
        //หรือ 202 ==false
        else {
          status = false;
          // showShortToast(
          //     AppLocalizations.of(context).translate('save_err'), Colors.red);
        }
      }
      return status;
    } catch (e) {
      return false;
    }
  }
}
